Skip to main content
PUT
/
v1
/
themes
/
:id
Update Theme
curl --request PUT \
  --url https://api.oviond.com/v1/themes/:id \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "tokens": {},
  "cover_page": {
    "pattern_id": "<string>",
    "bg_image_url": "<string>",
    "title": "<string>",
    "subtitle": "<string>",
    "widgets": []
  },
  "thank_you_page": {
    "pattern_id": "<string>",
    "bg_image_url": "<string>",
    "title": "<string>",
    "subtitle": "<string>",
    "widgets": []
  },
  "is_default": true
}
'
{
  "success": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
name
string
tokens
object
cover_page
object
thank_you_page
object
is_default
boolean

Response

Theme updated

success
enum<boolean>
required
Available options:
true